Data Fields
_GntWMClass Struct Reference

## Data Fields
GntBindableClass | parent
void(* | new_window )(GntWM *wm, GntWidget *win)
void(* | decorate_window )(GntWM *wm, GntWidget *win)
gboolean(* | close_window )(GntWM *wm, GntWidget *win)
gboolean(* | window_resize_confirm )(GntWM *wm, GntWidget *win, int *w, int *h)
void(* | window_resized )(GntWM *wm, GntNode *node)
gboolean(* | window_move_confirm )(GntWM *wm, GntWidget *win, int *x, int *y)
void(* | window_moved )(GntWM *wm, GntNode *node)
void(* | window_update )(GntWM *wm, GntNode *node)
gboolean(* | key_pressed )(GntWM *wm, const char *key)
gboolean(* | mouse_clicked )(GntWM *wm, GntMouseEvent event, int x, int y, GntWidget *widget)
void(* | give_focus )(GntWM *wm, GntWidget *widget)
void(* | terminal_refresh )(GntWM *wm)
void(* | res1 )(void)
void(* | res2 )(void)
void(* | res3 )(void)

## Detailed Description

Definition at line 129 of file gntwm.h.

The documentation for this struct was generated from the following file:

- gntwm.h